/*
* Copyright (c) 2006-2007 Nokia Corporation and/or its subsidiary(-ies). 
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Test case for requirement HABC027
*
*/


/**
 * Baseline platform header file for HeaderAnalyser 
 * test case HATC027
 */
#ifndef HATC027_H
#define HATC027_H


/**
 * HATC027_class3
 * This class tests for default arguement value change, 
 * exported function analysis irrespective of its accessibility, 
 * and first time over loaded function.
 */
class HATC027_class1
{
public:
    IMPORT_C HATC027_class1();
    IMPORT_C virtual ~HATC027_class1();
    IMPORT_C int GetValue();
    IMPORT_C int GetValue(int l);
    
    IMPORT_C int exitCount(int i = 9); 
    
protected:
	IMPORT_C void exit( int p); 
	IMPORT_C void exit( char p); 
	IMPORT_C void exit( int p,char q); 
   
private:
   IMPORT_C int defalutValues(int s, char p =1);
   IMPORT_C void enter();
   IMPORT_C void enter(char l);
};

#endif